# Class HeadersTooLargeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.apache.coyote.http11.HeadersTooLargeException

All Implemented Interfaces:
  `Serializable`

public class HeadersTooLargeException extends IllegalStateException
Exception used to mark the specific error condition of the HTTP headers exceeding the maximum permitted size.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeadersTooLargeException()`
  `HeadersTooLargeException(String s)`
  `HeadersTooLargeException(String message, Throwable cause)`
  `HeadersTooLargeException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HeadersTooLargeException

    public HeadersTooLargeException()

  - ### HeadersTooLargeException

    public HeadersTooLargeException(String message, Throwable cause)

  - ### HeadersTooLargeException

    public HeadersTooLargeException(String s)

  - ### HeadersTooLargeException

    public HeadersTooLargeException(Throwable cause)